Generation Framework

## org.eclipse.gmf.mappings
Interface LinkConstraints

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  LinkConstraintsImpl

    public interface LinkConstraints

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Link Constraints'. Groups constraints on the link source and target end

The following features are supported:

- `Link Mapping`
- `Source End`
- `Target End`

See Also:
  `GMFMapPackage.getLinkConstraints()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not (sourceEnd.oclIsUndefined() and targetEnd.oclIsUndefined())' description='Either \'sourceEnd\' or \'targetEnd\' constraint must be specified'"

Method Summary
`LinkMapping` `getLinkMapping()` Returns the value of the 'Link Mapping' container reference.
`Constraint` `getSourceEnd()` Returns the value of the 'Source End' containment reference
`Constraint` `getTargetEnd()` Returns the value of the 'Target End' containment reference
`void` `setSourceEnd(Constraint value)` Sets the value of the '`Source End`' containment reference
`void` `setTargetEnd(Constraint value)` Sets the value of the '`Target End`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLinkMapping

    LinkMapping getLinkMapping()

  Returns the value of the 'Link Mapping' container reference. It is bidirectional and its opposite is '`Creation Constraints`'. References the link mapping restricted by these constraints

  Returns:
    the value of the 'Link Mapping' container reference.
  See Also:
    `GMFMapPackage.getLinkConstraints_LinkMapping()`, `LinkMapping.getCreationConstraints()`
  ** Generated **
  Model:
    opposite="creationConstraints" resolveProxies="false" required="true" transient="false" changeable="false"

### getSourceEnd

    Constraint getSourceEnd()

  Returns the value of the 'Source End' containment reference. Restriction enforced by the the source end, may reference variable 'oppositeEnd' pointing to targetEnd domainMetaElement instance if available.

  Returns:
    the value of the 'Source End' containment reference.
  See Also:
    `setSourceEnd(Constraint)`, `GMFMapPackage.getLinkConstraints_SourceEnd()`
  ** Generated **
  Model:
    containment="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='let lm:LinkMapping=linkMapping in if lm.sourceMetaFeature.oclIsUndefined() then (if lm.containmentFeature.oclIsUndefined() then lm.linkMetaFeature.eContainingClass else lm.containmentFeature.eContainingClass endif) else lm.sourceMetaFeature.oclAsType(ecore::EReference).eReferenceType endif'" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='variable' name='oppositeEnd' type.ocl='linkMapping.linkMetaFeature.eType'"

### setSourceEnd

    void setSourceEnd(Constraint value)

  Sets the value of the '`Source End`' containment reference.

  Parameters:
    `value` - the new value of the 'Source End' containment reference.
  See Also:
    `getSourceEnd()`
  ** Generated **

### getTargetEnd

    Constraint getTargetEnd()

  Returns the value of the 'Target End' containment reference. Restriction enforced by the the target end, may reference variable 'oppositeEnd' pointing to sourceEnd domainMetaElement instance.

  Returns:
    the value of the 'Target End' containment reference.
  See Also:
    `setTargetEnd(Constraint)`, `GMFMapPackage.getLinkConstraints_TargetEnd()`
  ** Generated **
  Model:
    containment="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='linkMapping.linkMetaFeature.eType.oclAsType(ecore::EClass)'" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='variable' name='oppositeEnd' type.ocl='let lm:LinkMapping=linkMapping in if lm.sourceMetaFeature.oclIsUndefined() then (if lm.containmentFeature.oclIsUndefined() then lm.linkMetaFeature.eContainingClass else lm.containmentFeature.eContainingClass endif) else lm.sourceMetaFeature.oclAsType(ecore::EReference).eReferenceType endif'"

### setTargetEnd

    void setTargetEnd(Constraint value)

  Sets the value of the '`Target End`' containment reference.

  Parameters:
    `value` - the new value of the 'Target End' containment reference.
  See Also:
    `getTargetEnd()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.